Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IEREntity

    com.change_vision.jude.api.inf.model.IEREntity

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public IEREntity

extends INamedElement

Interface for EREntity.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IERRelationship[]` | `getChildrenRelationships()` Get child relationships.
`abstract IERSubtypeRelationship[]` | `getChildrenSubtypeRelationships()` Get child subtype relationships.
`abstract IERIndex[]` | `getERIndices()` Get ERIndices.
`abstract IERAttribute[]` | `getForeignKeys()` Get foreign keys.
`abstract String` | `getLogicalName()` Get Logical Name.
`abstract IERAttribute[]` | `getNonPrimaryKeys()` Get non primary key.
`abstract IERRelationship[]` | `getParentRelationships()` Get parent relationships.
`abstract IERSubtypeRelationship[]` | `getParentSubtypeRelationships()` Get parent subtype relationships.
`abstract String` | `getPhysicalName()` Get Physical Name.
`abstract IERAttribute[]` | `getPrimaryKeys()` Get primary keys.
`abstract String` | `getType()` Get Type.
`abstract void` | `setLogicalName(String name)` Set logical name to ER Entity.
`abstract void` | `setPhysicalName(String name)` Set physical name to ER Entity.
`abstract void` | `setType(String type)` Set type to ER Entity.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLogicalName

    abstract String getLogicalName()

  Get Logical Name.

  Returns:
    Logical Name.

### getPhysicalName

    abstract String getPhysicalName()

  Get Physical Name.

  Returns:
    Physical Name. Return null in case there is none.

### getType

    abstract String getType()

  Get Type.

  Returns:
    Type[Resource/Event/Summary]. Return null in case there is none.

### getPrimaryKeys

    abstract IERAttribute[] getPrimaryKeys()

  Get primary keys.

  Returns:
    the array of primary keys. Return the empty array if there is none.

### getForeignKeys

    abstract IERAttribute[] getForeignKeys()

  Get foreign keys.

  Returns:
    the array of foreign keys. Return the empty array if there is none.

### getNonPrimaryKeys

    abstract IERAttribute[] getNonPrimaryKeys()

  Get non primary key.

  Returns:
    the array of non primary keys. Return the empty array if there is none.

### getERIndices

    abstract IERIndex[] getERIndices()

  Get ERIndices.

  Returns:
    the array of ERIndices. Return the empty array if there is none.

### getChildrenRelationships

    abstract IERRelationship[] getChildrenRelationships()

  Get child relationships.

  Returns:
    the array of child relationships. Return the empty array if there is none.

### getParentRelationships

    abstract IERRelationship[] getParentRelationships()

  Get parent relationships.

  Returns:
    the array of parent relationships. Return the empty array if there is none.

### getChildrenSubtypeRelationships

    abstract IERSubtypeRelationship[] getChildrenSubtypeRelationships()

  Get child subtype relationships.

  Returns:
    the array of child subtype relationships. Return the empty array if there is none.

### getParentSubtypeRelationships

    abstract IERSubtypeRelationship[] getParentSubtypeRelationships()

  Get parent subtype relationships.

  Returns:
    the array of parent subtype relationships. Return the empty array if there is none.

### setLogicalName

    abstract void setLogicalName(String name)

  Set logical name to ER Entity.

  Parameters:
    `name` - Logical Name for ER Entity, should NOT be null
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NAME_DOUBLE_ERROR_KEY  - An element with the same name already exists.
              NO_NAME_ERROR_KEY - if the name is empty.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setPhysicalName

    abstract void setPhysicalName(String name)

  Set physical name to ER Entity.

  Parameters:
    `name` - Physical Name for ER Entity
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NAME_DOUBLE_ERROR_KEY  - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setType

    abstract void setType(String type)

  Set type to ER Entity.

  Parameters:
    `type` - Type for ER Entity, it should be "Event", "Resource","Summary" or "", should NOT be null
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD